java.util.concurrent

## Interface ForkJoinPool.ForkJoinWorkerThreadFactory

- Enclosing class:
    ForkJoinPool

      public static interface ForkJoinPool.ForkJoinWorkerThreadFactory

  Factory for creating new `ForkJoinWorkerThread`s. A `ForkJoinWorkerThreadFactory` must be defined and used for `ForkJoinWorkerThread` subclasses that extend base functionality or initialize threads with different contexts.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ForkJoinWorkerThread` | `newThread(ForkJoinPool pool)` Returns a new worker thread operating in the given pool.

- - ### Method Detail

    - #### newThread

          ForkJoinWorkerThread newThread(ForkJoinPool pool)

      Returns a new worker thread operating in the given pool.
      Parameters:
        `pool` - the pool this thread works in
      Throws:
        `NullPointerException` - if the pool is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.